diff --git a/books/bookvol10.4.pamphlet b/books/bookvol10.4.pamphlet
index 6f0640b..435713b 100644
--- a/books/bookvol10.4.pamphlet
+++ b/books/bookvol10.4.pamphlet
@@ -122853,7 +122853,8 @@ PointsOfFiniteOrderRational(UP, UPUP, R): Exports == Implementation where
     rat(pp, d, p) ==
       gf := InnerPrimeField p
       order(d, pp,
-        numer(#1)::gf / denom(#1)::gf)$ReducedDivisor(Q, UP, UPUP, R, gf)
+       (z1:Q):gf +-> 
+        numer(z1)::gf / denom(z1)::gf)$ReducedDivisor(Q, UP, UPUP, R, gf)
 
 -- returns the potential order of d, 0 if d is of infinite order
     possibleOrder d ==
diff --git a/changelog b/changelog
index 8040185..43a4d42 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20090612 tpd src/axiom-website/patches.html 20090612.01.tpd.patch
+20090612 tpd books/bookvol10.4 PFOQ+-> conversion
 20090611 tpd src/axiom-website/patches.html 20090611.05.tpd.patch
 20090611 tpd books/bookvol10.4 PFO +-> conversion
 20090611 tpd src/axiom-website/patches.html 20090611.04.tpd.patch
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 76b54d9..65b604e 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -1547,5 +1547,7 @@ bookvol10.4 PMDOWN, PICOERCE +-> conversion<br/>
 bookvol10.4 PLOTTOOL +-> conversion<br/>
 <a href="patches/20090611.05.tpd.patch">20090611.05.tpd.patch</a>
 bookvol10.4 PFO +-> conversion<br/>
+<a href="patches/20090612.01.tpd.patch">20090612.01.tpd.patch</a>
+bookvol10.4 PFOQ +-> conversion<br/>
  </body>
 </html>
